<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoGeneratedRunConfigurationManager">
    <projectFile>HyperTwist.vcxproj</projectFile>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="b04d83de-f469-451c-8dfc-ff32cd600411" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/UnrealHyperTwist/Source/UnrealHyperTwist/UnrealHyperTwist.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/UnrealHyperTwist/Source/UnrealHyperTwist/UnrealHyperTwist.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/UnrealHyperTwist/Source/UnrealHyperTwist/UnrealHyperTwist.h" beforeDir="false" afterPath="$PROJECT_DIR$/UnrealHyperTwist/Source/UnrealHyperTwist/UnrealHyperTwist.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/docs/Deepseek C# Prompt" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="KubernetesApiPersistence"><![CDATA[{}]]></component>
  <component name="KubernetesApiProvider"><![CDATA[{
  "isMigrated": true
}]]></component>
  <component name="McpProjectServerCommands">
    <commands />
    <urls />
  </component>
  <component name="ProjectColorInfo"><![CDATA[{
  "associatedIndex": 4
}]]></component>
  <component name="ProjectId" id="3DGZgISbBeExOyD9BNTyyHp7Vpo" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ModuleVcsDetector.initialDetectionPerformed": "true",
    "RunOnceActivity.MCP Project settings loaded": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "nodejs_package_manager_path": "npm",
    "vue.rearranger.settings.migration": "true"
  },
  "keyToStringList": {
    "stardust.markdown.MarkdownSplitEditorSuppressor:keyList": []
  }
}]]></component>
  <component name="RunManager">
    <configuration name="HyperTwist" type="CppProject" factoryName="C++ Project">
      <configuration_1 setup="1">
        <option name="CONFIGURATION" value="Debug" />
        <option name="PLATFORM" value="Win32" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(LocalDebuggerCommand)" />
        <option name="PROGRAM_PARAMETERS" value="$(LocalDebuggerCommandArguments)" />
        <option name="WORKING_DIRECTORY" value="$(LocalDebuggerWorkingDirectory)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/HyperTwist.vcxproj" />
      </configuration_1>
      <option name="DEFAULT_PROJECT_PATH" value="$PROJECT_DIR$/HyperTwist.vcxproj" />
      <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/HyperTwist.vcxproj" />
      <option name="AUTO_SELECT_PRIORITY" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b04d83de-f469-451c-8dfc-ff32cd600411" name="Changes" comment="" />
      <created>1777910478151</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1777910478151</updated>
      <workItem from="1777910480889" duration="4000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.OperationCanceledException" breakIfHandledByOtherCode="false" displayValue="System.OperationCanceledException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.Tasks.TaskCanceledException" breakIfHandledByOtherCode="false" displayValue="System.Threading.Tasks.TaskCanceledException" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" breakIfHandledByOtherCode="false" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="3" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>